## amitk_type amitk_type |

## Synopsis

    typedef             amide_data_t;
    #define             SIZE_OF_AMIDE_DATA_T
    #define             AMITK_TYPE_DATA
    typedef             amide_time_t;
    #define             SIZE_OF_AMIDE_TIME_T
    #define             AMITK_TYPE_TIME
    typedef             amide_real_t;
    #define             SIZE_OF_AMIDE_REAL_T
    #define             AMITK_TYPE_REAL
    typedef             amide_intpoint_t;
    #define             SIZE_OF_AMIDE_INTPOINT_T
    gboolean            (*AmitkUpdateFunc)                  (gpointer ,
                                                             char *,
                                                             gdouble );

## Description

## Details

### amide_data_t

    typedef gdouble amide_data_t;

### SIZE_OF_AMIDE_DATA_T

    #define SIZE_OF_AMIDE_DATA_T 8

### AMITK_TYPE_DATA

    #define AMITK_TYPE_DATA G_TYPE_DOUBLE

### amide_time_t

    typedef gdouble amide_time_t;

### SIZE_OF_AMIDE_TIME_T

    #define SIZE_OF_AMIDE_TIME_T 8

### AMITK_TYPE_TIME

    #define AMITK_TYPE_TIME G_TYPE_DOUBLE

### amide_real_t

    typedef gdouble amide_real_t;

### SIZE_OF_AMIDE_REAL_T

    #define SIZE_OF_AMIDE_REAL_T 8

### AMITK_TYPE_REAL

    #define AMITK_TYPE_REAL G_TYPE_DOUBLE

### amide_intpoint_t

    typedef gint16 amide_intpoint_t;

### SIZE_OF_AMIDE_INTPOINT_T

    #define SIZE_OF_AMIDE_INTPOINT_T 2;

### AmitkUpdateFunc ()

    gboolean            (*AmitkUpdateFunc)                  (gpointer ,
                                                             char *,
                                                             gdouble );

`Param1` : |
`Param2` : |
`Param3` : |
Returns : |